View Issue Details

IDProjectCategoryView StatusLast Update
0004755Talermechant backendpublic2016-11-20 03:26
ReporterMarcello StanisciAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.2Fixed in Version0.2 
Summary0004755: no error code in conflicting /track/transfer
DescriptionThe returned JSON has no "code" field, in contrast to what happens with /track/transaction.
TagsNo tags attached.

Activities

Marcello Stanisci

2016-11-02 20:37

manager   ~0011401

Well, it's not really needed as the exchange returns either 200 or 404..
Might just be nice to comply with our standard error messages format.

Marcello Stanisci

2016-11-04 14:29

manager   ~0011426

added error codes in exchange codebase (4f304b2). merchant updated accordingly (7a00065)

Issue History

Date Modified Username Field Change
2016-11-02 20:30 Marcello Stanisci New Issue
2016-11-02 20:30 Marcello Stanisci Status new => assigned
2016-11-02 20:30 Marcello Stanisci Assigned To => Marcello Stanisci
2016-11-02 20:37 Marcello Stanisci Note Added: 0011401
2016-11-02 21:07 Marcello Stanisci Status assigned => feedback
2016-11-04 14:26 Marcello Stanisci Summary no error code in conflicting track-transaction => no error code in conflicting /track/transfer
2016-11-04 14:26 Marcello Stanisci Description Updated View Revisions
2016-11-04 14:29 Marcello Stanisci Note Added: 0011426
2016-11-04 14:29 Marcello Stanisci Status feedback => assigned
2016-11-04 14:29 Marcello Stanisci Status assigned => resolved
2016-11-04 14:29 Marcello Stanisci Resolution open => fixed
2016-11-15 15:40 root Product Version => SVN HEAD
2016-11-15 15:40 root Fixed in Version => 0.2
2016-11-15 15:40 root Target Version => 0.2
2016-11-20 03:26 Christian Grothoff Status resolved => closed